# Uses of Class
org.apache.lucene.index.SortFieldProvider

Packages that use SortFieldProvider
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of SortFieldProvider in org.apache.lucene.index

  Methods in org.apache.lucene.index that return SortFieldProvider
  Modifier and Type
  Method
  Description
  `static SortFieldProvider`
  SortFieldProvider.`forName(String name)`
  Looks up a SortFieldProvider by name

- ## Uses of SortFieldProvider in org.apache.lucene.search

  Subclasses of SortFieldProvider in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `static final class`
  `SortedNumericSortField.Provider`
  A SortFieldProvider for this sort field
  `static final class`
  `SortedSetSortField.Provider`
  A SortFieldProvider for this sort
  `static final class`
  `SortField.Provider`
  A SortFieldProvider for field sorts